#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_GiftCFGData
{
	//炮台类型
	int mTurret;
	//物品ID
	int mItemID;
	//物品数量
	int mItemCount;
};

class Fish_GiftCFG
{
public:
private:
	static std::auto_ptr<Fish_GiftCFG> msSingleton;
public:
	int GetCount();
	const Fish_GiftCFGData* GetData(int Turret);
	boost::unordered_map<int, Fish_GiftCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_GiftCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_GiftCFGData> mMapData;
};
